Skip to main content
GET
/
api
/
v1
/
license
/
{id}
get entity by id
curl --request GET \
  --url https://api.example.com/api/v1/license/{id} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "version": "<string>",
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "icon": "<string>",
  "scoreGroups": [
    {
      "id": 1,
      "createdAt": 123,
      "updatedAt": 123,
      "status": "ACTIVE",
      "name": "<string>",
      "title": "<string>",
      "description": "<string>"
    }
  ],
  "params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
  "groupScript": "<string>",
  "scoreScript": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Response

200 - application/json

OK

name
string
required

Name of the license

version
string
required

Version of the license

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
icon
string

License icon

scoreGroups
object[]

Score groups related to current license

params
object

License dynamic params.

Example:

"{ \"\"minScore\": 0, \"maxScore\": 1 }"

groupScript
string

Groovy script that calculates scoring groups for score change under this license

scoreScript
string

Groovy script that calculates score change value for score change under this license